Content / REST API

List content inspiration

Read saved inspiration in this workspace.

GET /api/v1/content/inspirationDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
offsetOptional · integer
See the input schema for this field.
collectionOptional · string
See the input schema for this field.saved · curated
searchOptional · string
See the input schema for this field.
collectionIdOptional · string
See the input schema for this field.
idOptional · string
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/v1/content/inspiration" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "offset": {
      "type": "integer"
    },
    "collection": {
      "type": "string",
      "enum": [
        "saved",
        "curated"
      ]
    },
    "search": {
      "type": "string"
    },
    "collectionId": {
      "type": "string",
      "format": "uuid"
    },
    "id": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": []
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview